> ## Documentation Index
> Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# addParticipant

> Add a [Participant](#schema_participant) to a [Conversation](#schema_conversation).



## OpenAPI

````yaml /runtime-openapi.json post /v1/chat/conversations/{id}/participants
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.82.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/conversations/{id}/participants:
    post:
      tags:
        - Endpoints
      description: >-
        Add a [Participant](#schema_participant) to a
        [Conversation](#schema_conversation).
      operationId: addParticipant
      parameters:
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/addParticipantBody'
      responses:
        '200':
          $ref: '#/components/responses/addParticipantResponse'
        default:
          $ref: '#/components/responses/addParticipantResponse'
components:
  requestBodies:
    addParticipantBody:
      description: Participant data
      content:
        application/json:
          schema:
            type: object
            properties:
              userId:
                type: string
                minLength: 28
                maxLength: 36
                description: User id
            required:
              - userId
            title: addParticipantBody
            additionalProperties: false
  responses:
    addParticipantResponse:
      description: Returns the [Participant](#schema_participant) object
      content:
        application/json:
          schema:
            type: object
            properties:
              participant:
                $ref: '#/components/schemas/User'
            required:
              - participant
            title: addParticipantResponse
            additionalProperties: false
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the [User](#schema_user)
        createdAt:
          type: string
          format: date-time
          description: Creation date of the [User](#schema_user) in ISO 8601 format
        updatedAt:
          type: string
          format: date-time
          description: Updating date of the [User](#schema_user) in ISO 8601 format
        tags:
          type: object
          additionalProperties:
            type: string
          description: >-
            Set of [Tags](/docs/developers/concepts/tags) that you can attach to
            a [User](#schema_user). The set of
            [Tags](/docs/developers/concepts/tags) available on a
            [User](#schema_user) is restricted by the list of
            [Tags](/docs/developers/concepts/tags) defined previously by the
            [Bot](#schema_bot). Individual keys can be unset by posting an empty
            value to them.
        name:
          type: string
          maxLength: 200
          description: Name of the [User](#schema_user)
        pictureUrl:
          type: string
          maxLength: 40000
          description: Picture URL of the [User](#schema_user)
        properties:
          type: object
          additionalProperties:
            type: string
            maxLength: 200
          description: Optional properties
        attributes:
          type: object
          additionalProperties:
            type: string
            maxLength: 200
          description: Optional attributes
      required:
        - id
        - createdAt
        - updatedAt
        - tags
      description: >-
        The user object represents someone interacting with the bot within a
        specific integration. The same person interacting with a bot in slack
        and messenger will be represented with two different users.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````